start

# po2tmx

Convert Gettext PO files to a TMX translation memory file. TMX is the Translation Memory eXchange format developed by LISA (Localization Industry Standards Association)

## Usage

    po2tmx [options] --language <target> <po> <tmx>

Where:

<po> | is a PO file
<tmx> | is a TMX file

Options:

--version | show program’s version number and exit
-h, --help | show this help message and exit
--manpage | output a manpage based on the help
--progress=PROGRESS | show progress as: dots, none, bar, names, verbose
--errorlevel=ERRORLEVEL | show errorlevel as: none, message, exception, traceback
-iINPUT, --input=INPUT | read from INPUT in po, pot formats
-xEXCLUDE, --exclude=EXCLUDE | exclude names matching EXCLUDE from input paths
-oOUTPUT, --output=OUTPUT | write to OUTPUT in tmx format
--psyco=MODE | use psyco to speed up the operation, modes: none, full, profile
-P, --pot | output PO Templates (.pot) rather than PO files (.po)
-lLANG, --language=LANG | set target language code (e.g. af-ZA) [required]
--source-language=LANG | set source language code (default: en)

## Examples

    po2tmx -l xh browser.po browser.tmx

Use the Xhosa (xh) translations in the PO file browser.po to create a TMX file called browser.tmx

## Bugs

po2tmx conforms to TMX v1.4 without stripping markup. See the tmx conformance page for more details.

It has not been widely tested so your mileage may vary.